# newgrf_cargo.h File Reference

Cargo support for NewGRFs. More...

`#include "newgrf_callbacks.h"`
`#include "cargo_type.h"`
`#include "gfx_type.h"`

Go to the source code of this file.

## Functions
SpriteID | GetCustomCargoSprite (const CargoSpec *cs)
uint16 | GetCargoCallback (CallbackID callback, uint32 param1, uint32 param2, const CargoSpec *cs)
CargoID | GetCargoTranslation (uint8 cargo, const GRFFile *grffile, bool usebit=false)
uint8 | GetReverseCargoTranslation (CargoID cargo, const GRFFile *grffile)
## Variables
static const CargoID | CT_DEFAULT = NUM_CARGO + 0
static const CargoID | CT_PURCHASE = NUM_CARGO + 1
static const CargoID | CT_DEFAULT_NA = NUM_CARGO + 2

## Detailed Description

Cargo support for NewGRFs.

Definition in file newgrf_cargo.h.